.btn {
    display: inline-block;
    text-decoration: none;

    &_animated {
        animation: moveInBottom .5s ease-in .75s;
        animation-fill-mode: backwards;
    }

    &_text {
        &:link,
        &:visited {
            padding: .3rem;
            color: $color-primary;
            border-bottom: 1px solid $color-primary;
            transition: transform .2s ease-in;
        }

        &:hover {
            color: $color-white;

            background-color: $color-primary;

            transform: translateY(-2px);
            box-shadow: 0 1rem 2rem rgba($color-black, .15);
        }

        &:active {
            transform: translateY(0);
            box-shadow: 0 .5rem 1rem rgba($color-black, .2);
        }
    }
}

.btn-primary {
    background-color: $color-heading-primary;
    color: $color-text-primary;

    &,
    &:link,
    &:visited {
        padding: 1.5rem 4rem;
        position: relative;

        border-radius: 10rem;

        text-transform: uppercase;

        transition: transform .2s ease-in;

        border: none;
        cursor: pointer;
    }

    &:hover {
        transform: translateY(-3px);
        box-shadow: 0 1rem 2rem rgba($color-black, .2);

        &::after {
            transform: scaleX(1.4) scaleY(1.6);
            opacity: 0;
        }
    }

    &:active,
    &:focus {
        outline: none;
        transform: translateY(-1px);
        box-shadow: 0 .5rem 1rem rgba($color-black, .2);
    }

    &::after {
        content: '';

        position: absolute;
        top: 0;
        left: 0;
        z-index: -1;

        display: inline-block;
        width: 100%;
        height: 100%;

        border-radius: 10rem;
        background-color: $color-heading-primary;

        transition: transform 1s,
        opacity 1s;
    }

    &_invert {
        background-color: $color-primary;
        color: $color-heading-primary;

        &::after {
            background-color: $color-primary;
        }
    }
}
